io.netty.handler.codec.xml

## Class XmlDecoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.handler.codec.ByteToMessageDecoder
      - - io.netty.handler.codec.xml.XmlDecoder

All Implemented Interfaces:
  io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

    public class XmlDecoder
    extends io.netty.handler.codec.ByteToMessageDecoder

Async XML decoder based on Aalto XML parser. Parses the incoming data into one of XML messages defined in this package.

### Nested Class Summary

### Nested classes/interfaces inherited from class io.netty.handler.codec.ByteToMessageDecoder

`io.netty.handler.codec.ByteToMessageDecoder.Cumulator`

### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

### Field Summary

### Fields inherited from class io.netty.handler.codec.ByteToMessageDecoder

`COMPOSITE_CUMULATOR, MERGE_CUMULATOR`

### Constructor Summary

Constructors
Constructor and Description
`XmlDecoder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `decode(io.netty.channel.ChannelHandlerContext ctx, io.netty.buffer.ByteBuf in, List<Object> out)`

### Methods inherited from class io.netty.handler.codec.ByteToMessageDecoder

`actualReadableBytes, callDecode, channelInactive, channelRead, channelReadComplete, decodeLast, discardSomeReadBytes, handlerRemoved, handlerRemoved0, internalBuffer, isSingleDecode, setCumulator, setDiscardAfterReads, setSingleDecode, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelActive, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`ensureNotSharable, handlerAdded, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`handlerAdded`

### Constructor Detail

#### XmlDecoder

    public XmlDecoder()

### Method Detail

#### decode

    protected void decode(io.netty.channel.ChannelHandlerContext ctx,
                          io.netty.buffer.ByteBuf in,
                          List<Object> out)
                   throws Exception

Specified by:
  `decode` in class `io.netty.handler.codec.ByteToMessageDecoder`
Throws:
  `Exception`